=== debian/changelog ===
doc-debian-ja (2.2.2.2) unstable; urgency=low

  * upload to Debian ftp archive sponsored by Yasuhiro TAKE
    <take@debian.org>.
  * fix first packaging date in copyright file.
  * update BTS documents.
  * [FAQ] change Japanese translation of "GNU General Public License".
  * [FAQ] add some information available in Japanese.
  * [FAQ] modify some diction.

 -- SEKIDO Koichi <sekido@chokepoint.org>  Thu, 28 Dec 2000 00:06:13 +0900

doc-debian-ja (2.2.2.1) unstable-jp; urgency=low

  * new maintainer.
  * update Standards-Version to 3.1.1.1.
  * update FAQ to version 2.2.2.
  * add constitution.ja.txt, social_contract.ja.txt.
  * convert Debian Manifesto from HTML to plain text.
  * remove libc5-libc6-Mini-HOWTO-ja.txt.
  * add information about mailing lists and bug tracking system managed by
    Debian project.
  * move information about mailing lists and bug tracking system managed
    by Debian JP project to JP subdirectory.
  * add doc-base support.

 -- SEKIDO Koichi <sekido@chokepoint.org>  Fri,  8 Dec 2000 10:21:25 +0900

doc-debian-ja (1.5-2) frozen-jp unstable-jp; urgency=low

  * changed maintainer's mail address.
  * added some translated documents for the Bug Tracking System. 
  * added Suggests: doc-debian. 
  * added changelog.Debian.gz.
  * checked with lintian(0.4.8)

 -- Hatta Shuzo <hattas@debian.or.jp>  Wed, 17 Jun 1998 13:16:38 +0900

doc-debian-ja (1.5-1) unstable; urgency=low

  * Update control file.
  * Update debian-jp.sgml.
  * Use -f option with sgml2txt.

 -- Hatta Shuzo <hattas@nisz.co.jp>  Mon, 10 Nov 1997 22:13:19 +0900

doc-debian-ja (1.5-0) unstable; urgency=low

  * Initial Release.

 -- Hatta Shuzo <hattas@nisz.co.jp>  Mon, 30 Jun 1997 17:24:35 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "sekido@chokepoint.org"
End:
