=== debian/control ===
Source: doc-debian-ja
Section: doc
Priority: optional
Maintainer: SEKIDO Koichi <sekido@chokepoint.org>
Standards-Version: 3.1.1.1
Build-Depends: debhelper, debiandoc-sgml

Package: doc-debian-ja
Suggests: doc-debian
Architecture: all
Description: Debian FAQ and other documents (Japanese)
 This package provides the Japanese version of Debian FAQ and other
 documents.
 .
 You will find:
   * Debian Linux Manifesto,
   * Constitution for the Debian Project,
   * Debian GNU/Linux Social Contract,
   * Debian Free Software Guidelines.
 .
 Additionally provided are:
   * Debian GNU/Linux Frequently Asked Questions (FAQ),
   * Debian Bug Tracking System documentation, and
   * Introduction to the Debian mailing lists.
